using PlcSiemens.O;

namespace PlcSiemens.Protocol.Header
{
    public class CotpDataHeader
    {
        public byte Length { get; set; }   // Header length : 3 for this header
        public byte PduType { get; set; }   // 0xF0 for this header
        public byte EoTNum { get; set; }   // EOT (bit 7) + PDU Number (bits 0..6)
                                           // EOT = 1 -> End of Trasmission Packet (This packet is complete)
                                           // PDU Number : Always 0

        public ushort PacketLength
        { get { return 0x03; } }

        public void GetByteBuffer(ByteBuffer buffer)
        {
            buffer.Push(Length);
            buffer.Push(PduType);
            buffer.Push(EoTNum);
        }
    }
}
